#ifndef COMMONLINERANKCALC_K_H
#define COMMONLINERANKCALC_K_H
#include <stdio.h>
#include <stdlib.h>

#define OPTION_FLAG     '-'
#define OPTION_FLAG_POS (0)
#define OPTION_POS      (1)




typedef struct CommonLineRankCalc_kInfo {
    long flagRedirect;

    long flagIn;
    char* In;
    FILE* fptIn;
    
    long flagInMap;
    char* InMap;
    FILE* fptInMap;
    
    long flagOut;
    char* Out;
    FILE* fptOut;
    
    long flagconfigFile;
    char* configFile;
    FILE* fptconfigFile;
    
    long flagmode;
    long mode;
    
} CommonLineRankCalc_kInfo;
#ifdef __cplusplus
extern "C" {
#endif
extern void argCheck(CommonLineRankCalc_kInfo* info, int argc, char* avgv[]);
extern void khorosInit(int argc, char* avgv[]);
extern void init0(CommonLineRankCalc_kInfo* info);
extern void init1(CommonLineRankCalc_kInfo* info);
extern void usage(char* usage);
extern void additionalUsage(void);
extern void htmlBeforeUsage(char* usage);
extern void htmlAfterUsage(char* usage);
#ifdef __cplusplus
};
#endif
#endif /* COMMONLINERANKCALC_K_H */
